Skip to main content
Monitoring & Collection/Monitoring Misc

RunIsolationAudit

Run a full isolation audit to detect cross-tenant data access violations

POST/api/v1/monitoring/isolation/audit

Operation ID

RunIsolationAudit

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • totalChecked
    Integer

    Total number of queries checked during audit

    Example: 200

  • violationsFound
    Integer

    Number of violations discovered during audit

    Example: 3

  • tenantsAudited
    Integer

    Number of tenants included in the audit

    Example: 15

  • cleanTenants
    Integer

    Number of tenants with no violations

    Example: 12